import request from '@/static/js/request.js'

const apiUri = {
	shareout: '/service/shareout', // 分配客服
	list: '/service/list',
	save: '/user/save',
	send: '/service/send',
	msg: '/service/msg',
	upload: '/service/send/img',
	pricePay: '/order/pricePay',
	order: '/order/chat',
	city: '/home/city',
	address: '/service/send/address',
}

export function upload(path,param) {
	return request.uploadFile(apiUri.upload,path,param)
}

export function address(param) {
	return request.request(apiUri.address,'POST', param,false,true,false)
}
export function city(param) {
	return request.request(apiUri.city,'GET', param,false,true,true)
}
export function order(param) {
	return request.request(apiUri.order,'GET', param,false,true,true)
}
export function pricePay(param) {
	return request.request(apiUri.pricePay,'POST', param,false,true,false)
}
export function msg(param) {
	return request.request(apiUri.msg,'GET', param,false,true,true)
}
export function send(param) {
	return request.request(apiUri.send,'POST', param,false,true,true)
}
export function shareout(param) {
	return request.request(apiUri.shareout,'POST', param,false,true,false)
}
export function list(param) {
	return request.request(apiUri.list,'GET', param,false,true,true)
}
export function save(param) {
	return request.request(apiUri.save,'POST', param,false,true,false)
}